local Game = Class('Game')

local Player_Class = require 'class.player'
local player

function Game:initialize(canvas)
    self.canvas = canvas
    player = Player_Class:new(50, 75)
    print(tostring(self))
end

function Game:update(dt)
    player:update(dt)
end

function Game:draw()
    love.graphics.setCanvas(self.canvas)
    love.graphics.clear()
    player:draw()
    love.graphics.rectangle('line', 5, 5, self.canvas:getWidth() - 10, self.canvas:getHeight() - 10)
    love.graphics.print('[WIP] Game View', 10, 25)
    love.graphics.setCanvas()
end

return Game
