local Player = Class('Player')

function Player:initialize(x, y)
    self.x = x
    self.y = y

    self.speed = 50
    self.radius = 25
    self.colors = {.5, .75, 0}
    print(tostring(self))
end

function Player:update(dt)
    if love.keyboard.isDown('w') then
        self.y = self.y - self.speed * dt
    elseif love.keyboard.isDown('s') then
        self.y = self.y + self.speed * dt
    end
    if love.keyboard.isDown('a') then
        self.x = self.x - self.speed * dt
    elseif love.keyboard.isDown('d') then
        self.x = self.x + self.speed * dt
    end
end

function Player:draw()
    love.graphics.setColor(self.colors)
    love.graphics.circle('fill', self.x, self.y, self.radius)
    love.graphics.setColor(1, 1, 1)
end

return Player
