local imgui_devTools = {}

local showDemo
function imgui_devTools.initialize()
    showDemo = false
end

function imgui_devTools.update(dt)
    imgui.NewFrame()
end

function imgui_devTools.draw()
    if imgui.BeginMainMenuBar() then
        if imgui.BeginMenu('IMGUI') then
            if imgui.MenuItem('Demo Window', nil, showDemo) then
               showDemo = not showDemo 
            end
            imgui.EndMenu()
        end
        imgui.EndMainMenuBar()
    end
    
    if showDemo then imgui.ShowDemoWindow() end
    imgui.Render()
end

return imgui_devTools
